#include <iostream>

using namespace std;
struct
{
    int d;
    int u;
}vaga;
int main()
{
    int n,m,j=0,b=0;
    cin>>n>>m;
    vector<vaga>v(n);
    for(int i=0;i<n;i++)
        cin>>v[i].d>>v[i].u;
    int l,r,x;
    while(j<m)
    {
        cin>>l>>r>>x;
        for(int i=l;l<r;i++)
        {
            if(v[i].d<=x<=v[i].u)
                b++;
        }
        j++;
    }
    return 0;
}